GTKADA2-DIALOG(1)

NAME
gtkada2-dialog - Display a GTK+ dialog box from the command line.

SYNOPSIS
gtkada2-dialog [dialog_type [justification]]

DESCRIPTION
gtkada2-dialog displays the contents of its standard input in a GTK+ dialog box. This is the version supplied with GtkAda version 2, and it uses GTK+ 2 widgets.

OPTIONS

dialog_type
    The type of dialog box desired. Possible values are:

    warning
        A message box with an exclamation point.

    error
        A message box with a red stop sign.

    information
        A message box with an "information" sign: white "i" on blue background.

    confirmation
        A message box with a question mark.

    custom
        A message box with no pixmap and a user-defined caption.
The default type is information.

justification
    The type of justification desired for the text of the message. Possible values are justify_left, justify_right, justify_center and justify_fill. The default is justify_center.

COPYRIGHT FOR THIS MAN PAGE
This man page has been written by Ludovic Brenta for the Debian GNU/Linux distribution, from information given by the GtkAda authors Emmanuel Briot, Joel Brobecker and Arnaud Charlet. Permission to use, copy, modify, and distribute this documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.